Status: Open

Priority: Normal

Assignee:

Category: C++ plugins/Evis

Affected QGIS version:3.2 Regression?: No

Operating System: Mac OS 10.13.5 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27278

Description

macos 10.13.5, qgis 3.2,

Everything works fine when I have a file path as a location for the image but when I put a url the image does not get loaded and I get no

error messages.

I erported this on stackgis a week ago and got no responses: 

https://gis.stackexchange.com/questions/288768/qgis-evis-trying-to-use-url-rather-than-a-path

History

#1 - 2018-07-20 11:18 AM - Giovanni Manghi

- Category changed from Editing to C++ plugins/Evis

- Status changed from Open to Feedback

I'm really not sure eVis ever supported URLs. Do they work on QGIS LTR (2.18)?

#2 - 2018-07-20 11:01 PM - Russell Fulton

https://biodiversityinformatics.amnh.org/open_source/evis/documentation.php says:

"The location and name of the photograph can be stored using an absolute or relative path or a URL if the photograph is available on a web server.

Examples of the different approaches are listed below...."

I have just checked the evisgenericeventbrowsergui.cpp source on GitHub:

if ( mEventImagePath.startsWith( QLatin1String( "http://" ), Qt::CaseInsensitive ) )

   {

      imageDisplayArea->displayUrlImage( mEventImagePath );

    }

    else

   {

      imageDisplayArea->displayImage( mEventImagePath );

    }

If it was python I would do the diagnostics myself but I am not really set up to do stuff with C++ :(

Can plugins like this be build independent of qgis as the name suggests.  If so I might have a try.

I no longer have a 2.18 instance so I don't know.
#3 - 2018-07-21 10:39 AM - Giovanni Manghi

I no longer have a 2.18 instance so I don't know.

if you can prove it worked on 2.18 then this will get a higher priority. Can't you install 2.18 and try?

#4 - 2018-07-21 11:08 PM - Russell Fulton

done and no it behaves the same in 2.18 :(  Clearly no one is using this feature which surprises me.

I repeat my question about building the plugin on its own (see previous comment).  I am an experienced developer and I am happy to have a look at

debugging it but only if I can do it without building the whole of QGIS!   I am working on a Mac with XCode.

#5 - 2018-07-22 01:15 PM - Giovanni Manghi

Russell Fulton wrote:

done and no it behaves the same in 2.18 :(  Clearly no one is using this feature which surprises me.

I repeat my question about building the plugin on its own (see previous comment).  I am an experienced developer and I am happy to have a look at

debugging it but only if I can do it without building the whole of QGIS!   I am working on a Mac with XCode.

compiling the whole thing is not hard nor takes long, at least on linux.

#6 - 2018-08-23 08:22 PM - Giovanni Manghi

- Status changed from Feedback to Open
